.book-section{
    height: 100vh;
    width: 100%;
    padding: 40px 0;
    text-align: center;
    top:100px;
    position: fixed;
}
.book-section > .container{
    height: 423px;
    width: 845px;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    border-radius: 2%;
    margin-bottom: 30px;
    perspective: 1200px;
}
.container > .right{
    position: absolute;
    height: 100%;
    width: 50%;
    transition: 0.7s ease-in-out;
    transform-style: preserve-3d;
}
.book-section > .container > .right{
    right:0;
    transform-origin: left;
    border-radius: 10px 0 0 10px;
}
.right > figure.front, .right > figure.back{
    margin: 0;
    height: 100%;
    width: 100%;
    position: absolute;
    left:0;
    top:0;
    background-size: 100%;
    background-repeat: no-repeat;
    backface-visibility: hidden;
    background-color: #445e69;
    overflow: hidden;
}
.right > figure.front{
    background-position: right;
    border-radius: 0 10px 10px 0;
    box-shadow: 2px 2px 15px -2px rgba(0,0,0,0.2);
}
.right > figure.back {
    background-position: left;
    border-radius: 10px 0 0 10px;
    box-shadow: -2px 2px 15px -2px rgba(0,0,0,0.2);
    transform: rotateY(180deg);
}

.right > figure.back p{
    text-align: left !important;
}

.flip{
    transform: rotateY(-180deg);
}

.mystical-button {
    padding: 10px 20px;
    background: linear-gradient(180deg, red, darkred);
    color: white;
    border: none;
    border-radius: 4px;
    font-size: 16px;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    transition: background-color 0.3s;
}

.mystical-button::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    width: 160%;
    height: 160%;
    background: radial-gradient(circle, transparent, black, transparent);
    transition: all 0.5s;
    transform: translate(-50%, -75%) rotate(45deg);
    opacity: 0.4;
    z-index: -1;
}

.mystical-button:hover::after {
    top: 0;
    transform: translate(-50%, -25%) rotate(45deg);
}

.mystical-button:active {
    background: linear-gradient(180deg, darkred, black);
}


.ghst-btn {
    /* position: relative; */
    display: inline-block;
    top: 35%;
    width: auto;
    height: auto;
    max-width: 20rem;
    min-height: 1rem;
    padding: 1rem 2rem 0.8rem 2rem;
    border: 2px solid rgba(255,255,255,0.1);
    background-color: rgba(255,255,255,0);
    background-image:
      radial-gradient(#333 0%, #333 70%, transparent 71%, transparent 100%),
      radial-gradient(#333 0%, #333 70%, transparent 71%, transparent 100%),
      radial-gradient(#333 0%, #333 70%, transparent 71%, transparent 100%);
    background-size: 0 0, 0 0, 0 0;
    background-repeat: no-repeat;
    background-position: 30% 50%, 70% 50%, 50% 80%;
    text-decoration: none;
    color: rgba(255,255,255,0.3);
    font-size: 2rem;
    text-transform: uppercase;
    letter-spacing: 0.5rem;
    border-radius: 0;
    transform: rotate(0);
    transition:
      border 2.5s 1s,
      color 2s 0.6s,
      max-width 0.05s 0.6s, 
      min-height 0.05s 0.6s, 
      background-color 0.4s,
      background-size 0s,
      transform 0.4s,
      border-radius 0.4s;
  }
  .ghst-btn:hover {
    max-width: 10rem;
    min-height: 10rem;
    color: rgba(255,255,255,0);
    border: 2px solid rgba(255,255,255,0);
    border-radius: 50%;
    background-color: rgba(255,255,255,0.1);
    background-size: 1.5rem 1.5rem, 1.5rem 1.5rem, 1.5rem 1rem;
    transform: rotate(400grad);
    transition:
      border 0.1s,
      color 0.15s,
      max-width 0.25s, 
      min-height 0.25s, 
      background-color 0.25s,
      background-size 0.15s 0.45s,
      transform 0.4s,
      border-radius 0.25s 0.3s;
  }
  .ghst-btn:before,
  .ghst-btn:after {
    position: absolute;
    transition: all 0.25s;
  }
  .ghst-btn:before {
    content:'boo';
    top: 50%;
    left: 50%;
    color: rgba(255,255,255,0.3);
    font-weight: 800;
    letter-spacing: 0;
    transform: scale(0) translateX(0) translateY(0);
    transition:
      color 0s,
      transform 0s;
  }
  .ghst-btn:after {
    content:'';
    top: 70%;
    left: 20%;
    width: 60%;
    height: 7%;
    background: none;
    border-radius: 50%;
    box-shadow: 0 5rem 15px rgba(0,0,0,0.15);
    opacity: 0;
    transition: opacity 0.05s;
  }
  .ghst-btn:hover:before {
    color: rgba(255,255,255,0.3);
    transform: scale(1.3) translateX(55%) translateY(-110%);
    transition:
      color 0.05s 0.8s,
      transform 0.1s 0.8s;
  }
  .ghst-btn:hover:after {
    opacity: 1;
    transition: opacity 0.2s 0.5s;
  }
